intval
is_binary
Variable handling Functions
PHP Manual

# is_array

(PHP 4, PHP 5)

is_array — Finds whether a variable is an array

### Description

bool is_array ( mixed `$var` )

Finds whether the given variable is an array.

### Parameters

`var`

  The variable being evaluated.

### Return Values

Returns `TRUE` if `var` is an array, `FALSE` otherwise.

### Examples

Example #1 Check that variable is an array

`<?php
$yes = array('this', 'is', 'an array');
echo is_array($yes) ? 'Array' : 'not an Array';
echo "\n";
$no = 'this is a string';
echo is_array($no) ? 'Array' : 'not an Array';
?>`

The above example will output:

    Array
    not an Array

### See Also

- is_float() - Finds whether the type of a variable is float
- is_int() - Find whether the type of a variable is integer
- is_string() - Find whether the type of a variable is string
- is_object() - Finds whether a variable is an object

intval
is_binary
Variable handling Functions
PHP Manual